summaryrefslogtreecommitdiffstats
path: root/contrib/libxo/libxo-config.in
diff options
context:
space:
mode:
authormarcel <marcel@FreeBSD.org>2014-10-23 22:30:14 +0000
committermarcel <marcel@FreeBSD.org>2014-10-23 22:30:14 +0000
commitfefcd296e4716886912a74acd38abba4c94bc340 (patch)
treece8b178967e5d33cbba89d0b2f3d2c2ea45616cb /contrib/libxo/libxo-config.in
parentbc4f095bf4554f6047f55bd8d28df41679cade6b (diff)
downloadFreeBSD-src-fefcd296e4716886912a74acd38abba4c94bc340.zip
FreeBSD-src-fefcd296e4716886912a74acd38abba4c94bc340.tar.gz
Import libxo 0.1.4
Obtained from: https://github.com/Juniper/libxo Sponsored by: Juniper Networks, Inc.
Diffstat (limited to 'contrib/libxo/libxo-config.in')
-rw-r--r--contrib/libxo/libxo-config.in119
1 files changed, 119 insertions, 0 deletions
diff --git a/contrib/libxo/libxo-config.in b/contrib/libxo/libxo-config.in
new file mode 100644
index 0000000..3dbb7d4
--- /dev/null
+++ b/contrib/libxo/libxo-config.in
@@ -0,0 +1,119 @@
+#! /bin/sh
+#
+# $Id$
+#
+# Copyright 2011-2014, Juniper Networks, Inc.
+# All rights reserved.
+# This SOFTWARE is licensed under the LICENSE provided in the
+# ../Copyright file. By downloading, installing, copying, or otherwise
+# using the SOFTWARE, you agree to be bound by the terms of that
+# LICENSE.
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+libdir=@libdir@
+
+usage()
+{
+ cat <<EOF
+Usage: libxo-config [OPTION]
+
+Known values for OPTION are:
+
+ --prefix=DIR change libxo prefix [default $prefix]
+ --exec-prefix=DIR change libxo exec prefix [default $exec_prefix]
+ --libs print library linking information
+ --bindir print the bin directory
+ --cflags print pre-processor and compiler flags
+ --share print share directory
+ --help display this help and exit
+ --version output version information
+EOF
+
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+cflags=false
+libs=false
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ includedir=$prefix/include
+ libdir=$prefix/lib
+ ;;
+
+ --prefix)
+ echo $prefix
+ ;;
+
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ libdir=$exec_prefix/lib
+ ;;
+
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+
+ --version)
+ echo @VERSION@
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ echo -I@LIBXO_INCLUDEDIR@ @LIBXO_CFLAGS@
+ ;;
+
+
+ --share)
+ echo @LIBXO_SHAREDIR@
+ ;;
+
+ --bindir)
+ echo @LIBXO_BINDIR@
+ ;;
+
+ --libdir)
+ echo @LIBXO_LIBDIR@
+ ;;
+
+
+ --libs)
+ if [ "`uname`" = "Linux" ]
+ then
+ if [ "@LIBXO_LIBDIR@" = "-L/usr/lib" -o "@LIBXO_LIBDIR@" = "-L/usr/lib64" ]
+ then
+ echo @LIBXO_LIBS@
+ else
+ echo -L@LIBXO_LIBDIR@ @LIBXO_LIBS@
+ fi
+ else
+ echo -L@LIBXO_LIBDIR@ @LIBXO_LIBS@ @WIN32_EXTRA_LIBADD@
+ fi
+ ;;
+
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+exit 0
OpenPOWER on IntegriCloud